
package de.ivu.elect.presentation.ergebnis;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.boundary.ErgebnisSessionSelect;
import de.ivu.elect.business.ergebnis.entity.Ergebnis;
import de.ivu.elect.business.ergebnis.entity.ErgebnisPK;
import de.ivu.elect.jee.presentation.redirect.Redirect;

@Specializes
public class WasErgebnisEditView extends ErgebnisEditView {

  private static final long serialVersionUID = 1L;

  @Inject
  private ErgebnisSessionSelect ergebnisSessionSelect;

  public WasErgebnisEditView() {
    super();
  }

  @Override
  @Redirect
  public String delete() {
    ErgebnisPK ausgewaehlterPK = null;
    if (ergebnisSessionSelect.isSelected()) {
      ausgewaehlterPK = ergebnisSessionSelect.getEntity().getPk();
    }

    ErgebnisPK dieserPK = getEntity().getPk();

    String deleteResult = super.delete();
    if (dieserPK.equals(ausgewaehlterPK)) {
      ergebnisSessionSelect.setEntity((Ergebnis) null);
    }
    return deleteResult;
  }
}
